Searching for Signal

the n01se blog

Ubuntu java plugin on Debian Lenny amd64

Things I tried today:

  • apt-get install sun-java6-jre; no plugin included
  • apt-get install sun-java5-jre; no plugin included
  • apt-get install ia32-sun-java6-bin nspluginwrapper; this combination doesn't work because Java uses the OJI plugin API instead of the NPAPI that nspluginwrapper supports
  • download various packages from java.sun.com and install them using make-jpkg; oddly, this doesn't change the fact that Sun's Java doesn't provide an amd64 plugin, duh!

Finally, thanks to Dave Medberry's suggestion, I downloaded the Ubuntu Blackdown amd64 package from http://packages.ubuntu.com/hardy/j2re1.4 and installed it directly with dpkg. The final manual step was:

sudo ln -s /usr/lib/j2se/1.4/jre/plugin/amd64/mozilla/libjavaplugin_oji.so \
    /usr/lib/iceweasel/plugins/

It might not be the latest version, but it works...!